Index: run.py
===================================================================
--- run.py	(revision f8940db2d26b5b475a3c268dd374d84e828453c1)
+++ run.py	(revision c34372606321ae4751beb04ad93a15890862fa43)
@@ -67,4 +67,9 @@
     #import numpy; numpy.seterr(all='raise')
 
+    # Notify the help menu that the Sphinx documentation is in a different 
+    # place than it otherwise would be.
+
+    
+
     # find the directories for the source and build
     from distutils.util import get_platform
@@ -72,4 +77,6 @@
     platform = '%s-%s'%(get_platform(),sys.version[:3])
     build_path = joinpath(root, 'build','lib.'+platform)
+
+    os.environ['SASVIEW_DOC_PATH'] = joinpath(build_path, "doc")
 
     # Make sure that we have a private version of mplconfig
Index: src/sans/guiframe/documentation_window.py
===================================================================
--- src/sans/guiframe/documentation_window.py	(revision c34372606321ae4751beb04ad93a15890862fa43)
+++ src/sans/guiframe/documentation_window.py	(revision c34372606321ae4751beb04ad93a15890862fa43)
@@ -0,0 +1,21 @@
+import wx
+from wx import Frame
+
+wx_supports_html2 = float(wx.__version__[:3]) >= 2.9
+if wx_supports_html2:
+    import wx.html2 as html
+else:
+    import wx.html as html
+
+class DocumentationWindow(Frame):
+    def __init__(self, parent, id, path, title='Help', size=(850, 540)):
+        Frame.__init__(self, parent, id, title, size=size)
+
+        if wx_supports_html2:
+            # Complete HTML/CSS support!
+            self.view = html.WebView.New(self)
+            self.view.LoadURL("file://" + path)
+        else:
+            # This ain't gonna be pretty...
+            self.view = html.HtmlWindow(self, -1, style=wx.NO_BORDER)
+            self.view.LoadPage(path)
Index: src/sans/guiframe/gui_manager.py
===================================================================
--- src/sans/guiframe/gui_manager.py	(revision afb5080ecc7d43b3854b05f9b39c80242b6a348c)
+++ src/sans/guiframe/gui_manager.py	(revision c34372606321ae4751beb04ad93a15890862fa43)
@@ -1330,4 +1330,5 @@
         self._help_menu = wx.Menu()
         style = self.__gui_style & GUIFRAME.WELCOME_PANEL_ON
+
         if style == GUIFRAME.WELCOME_PANEL_ON or custom_config != None:
             # add the welcome panel menu item
@@ -1337,4 +1338,5 @@
                 self._help_menu.AppendSeparator()
                 wx.EVT_MENU(self, id, self.show_welcome_panel)
+
         # Look for help item in plug-ins 
         for item in self.plugins:
@@ -1343,4 +1345,14 @@
                 self._help_menu.Append(id,'&%s Help' % item.sub_menu, '')
                 wx.EVT_MENU(self, id, item.help)
+
+        # Only show new Sphinx docs link if version of wx supports displaying
+        # it correctly.
+        show_sphinx_docs = float(wx.__version__[:3]) >= 2.9
+        if show_sphinx_docs:
+            self._help_menu.AppendSeparator()
+            id = wx.NewId()
+            self._help_menu.Append(id, '&Sphinx Documentation', '')
+            wx.EVT_MENU(self, id, self._onSphinxDocs)
+
         if config._do_tutorial and (IS_WIN or sys.platform =='darwin'):
             self._help_menu.AppendSeparator()
@@ -2148,5 +2160,26 @@
                         wx.MessageBox(msg, 'Error')
 
-                      
+    def _onSphinxDocs(self, evt):
+        """
+        Pop up a Sphinx Documentation dialog.
+        
+        :param evt: menu event
+        """
+        # Running SasView "in-place" using run.py means the docs will be in a
+        # different place than they would otherwise.
+        SPHINX_DOC_ENV = "SASVIEW_DOC_PATH"
+        if SPHINX_DOC_ENV in os.environ:
+            docs_path = os.path.join(os.environ[SPHINX_DOC_ENV], "index.html")
+        else:
+            docs_path = os.path.join(PATH_APP, "..", "..", "doc", "index.html")
+
+        if os.path.exists(docs_path):
+            from documentation_window import DocumentationWindow
+
+            sphinx_doc_viewer = DocumentationWindow(None, -1, docs_path)
+            sphinx_doc_viewer.Show()
+        else:
+            logging.error("Could not find Sphinx documentation at '%' -- has it been built?" % docs_path)
+
     def set_manager(self, manager):
         """
